API Reference
Log In
API Reference

Record a manual payment correction for an invoice

Records a manual payment received against the specified invoice and updates the invoice's pay state. Replaces the V1 POST /v1/api/invoices/payment endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique identifier of the invoice receiving the payment correction. Format: URL-safe encoded string.

Body Params

Payment correction details to apply to the invoice.

int64
required

Date of the payment as a Unix epoch (milliseconds).

string
required

ISO-4217 currency code for the payment.

number
required

Amount of the payment in the given currency.

string
enum
required

Method used for the payment.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/hal+json
*/*